#ifdef GL_ES
precision lowp float;
#endif

#include "precision.sh"

uniform highp  mat4 u_modelViewMatrix;
uniform highp  mat4 u_projectionMatrix;

uniform vec4 u_backgroundColor;
attribute vec4 a_position;
attribute vec2 a_uv;

varying lowp vec4 v_backgroundColor;
varying highp vec3 v_position;
varying lowp vec2 v_uv;

void main()
{
    v_backgroundColor = u_backgroundColor;
    v_position = a_position.xyz;
    v_uv = a_uv;
    gl_Position = (u_projectionMatrix * u_modelViewMatrix) * a_position;
}
