#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D s_texture;
varying vec4 v_foregroundColor;
varying vec2 v_uv;

void main(void) {
    vec4 glyphColor = texture2D(s_texture, v_uv);

    float alpha = v_foregroundColor.a * glyphColor.r;
    // premultiply
    vec4 color = vec4(v_foregroundColor.xyz * alpha, alpha);

    gl_FragColor = color;
}
